1. 23 Nov, 2021 1 commit
  2. 02 Aug, 2021 2 commits
  3. 26 Jul, 2021 5 commits
  4. 15 Apr, 2021 6 commits
  5. 14 Apr, 2021 2 commits
  6. 03 Aug, 2020 2 commits
  7. 30 Mar, 2020 1 commit
  8. 31 May, 2019 2 commits
  9. 06 Feb, 2016 1 commit
    • Magnus Holmgren's avatar
      Import Debian changes 3.2-1 · a5f0ab59
      Magnus Holmgren authored
      nettle (3.2-1) unstable; urgency=medium
      
        * New upstream release.
          * Includes fixes for CVE-2015-8803, CVE-2015-8804, and CVE-2015-8805
            (Closes: #813679).
      
      nettle (3.1.1-4) unstable; urgency=low
      
        * multiarch_dev.patch (new): Remove compiler version info causing
          nettle-dev for different architectures to be incompatible with each
          other from nettle-stdint.h (Closes: #783699).
        * Rearrange debian/copyright to comply with the machine-readable format
          specification.
      
      nettle (3.1.1-3) unstable; urgency=low
      
        * Switch libgmp10-dev Build-Depends to libgmp-dev (Closes: #783085).
      
      nettle (3.1.1-2) experimental; urgency=low
      
        * Tag some more (ECC related) symbols that only exist on some
          architectures (implemented in assembly).
      
      nettle (3.1.1-1) experimental; urgency=low
      
        * New upstream bugfix release.
      
      nettle (3.1-1) experimental; urgency=low
      
        * New upstream release. New SONAMEs libnettle6 and libhogweed4.
        * Drop native_64bit_test_needs_limits_h.patch; incorporated upstream.
        * Bump Standards-Version to 3.9.6.
        * Merge changes from unstable (2.7.1-3 through 2.7.1-5) (Closes: #782266).
      
      nettle (3.0-2) experimental; urgency=low
      
        * Tag a symbol that only exists on 64-bit architecture.
        * native_64bit_test_needs_limits_h.patch: Include limits.h in
          camellia-absorb.c; needed by the HAVE_NATIVE_64_BIT macro on at least
          s390x.
        * Add manpage for nettle-pbkdf2.
      
      nettle (3.0-1) experimental; urgency=low
      
        * New major upstream release. To experimental for now. New SONAMEs
          libnettle5 and libhogweed3.
      
      nettle (2.7.1-5) unstable; urgency=medium
      
        * Add code to transition /usr/share/doc/nettle-dbg from directory to
          symlink (Closes: #774919).
        * Also add missing Pre-Depends: multiarch-support to nettle-dbg.
      
      nettle (2.7.1-4) unstable; urgency=medium
      
        * Use dh_installdocs --link-doc to create symlinks and add correct
          dependencies (Closes: #773022).
        * Bump Standards-Version to 3.9.6.
        * Add upstream PGP signing key.
        * Add GNU server URLs to watch file.
      
      nettle (2.7.1-3) unstable; urgency=low
      
        * Use -fPIC instead of -fpic by default (Closes: #755769); needed on
          sparc64 and shouldn't be noticeable elsewhere.
      
      nettle (2.7.1-2) unstable; urgency=low
      
        * libhogweed2.symbols: Tag some internal functions implementing
          operations not available in GMP before version 6.0 as optional
          (Closes: #743087).
        * Bump Standards-Version to 3.9.5.
      
      nettle (2.7.1-1) unstable; urgency=low
      
        * New upstream bugfix release.
      
      nettle (2.7-2) unstable; urgency=low
      
        * Tag some (ECC related) symbols that only exist on some architectures.
      
      nettle (2.7-1) unstable; urgency=low
      
        * New upstream release (Closes: #706081).
        * Include watch file improvements from Bart Martens <bartm@debian.org>
          via the QA system.
      
      nettle (2.6-1) experimental; urgency=low
      
        * New upstream release.
      
      nettle (2.5-1) experimental; urgency=low
      
        * New upstream release (Closes: #685855).
          - All symbols from nettle-internal.c have been dropped from the built
            library, and pkcs1_signature_prefix renamed with a leading underscore,
            without SONAME change, as they were all for internal use only.
        * debian/watch: Updated to handle -pre releases.
      
      nettle (2.4-2) unstable; urgency=low
      
        * Drop README.source; not needed since the package was converted to
          format 3.0.
        * Correct errors in DEP 5-format debian/copyright.
        * Use dpkg-buildflags to set CFLAGS et al.
        * Bump Standards-Version to 3.9.3.
      
      nettle (2.4-1) unstable; urgency=low
      
        * New upstream bugfix release.
      
      nettle (2.3-1) unstable; urgency=low
      
        * New upstream release.
        * nettle-dev.install: Include pkg-config files added by upstream
          (Closes: #634294).
        * debian/copyright: Add ripemd160-related files.
      
      nettle (2.2-1) unstable; urgency=low
      
        * New upstream release (Closes: #633574).
          - The function nettle_arcfour_stream() was dropped without changing
            the SONAME, because it was undocumented and untested and should not
            be in use.
        * Add symbols files and correct dependencies in shlibs files.
        * Update copyright information, in particular regarding blowfish and
          serpent, trying to follow DEP5.
        * Add manpage nettle-hash(1) and mention nettle-hash in description of
          nettle-bin.
        * Add multi-arch support.
        * Bump Standards-Version to 3.9.2.
        * Switch to Debhelper compat level 8.
        * nettle-bin: Change Conflicts from moving sexp-conv into
          Breaks+Replaces and drop long-obsolete conflict with libnettle1.
        * Improve libnettle and libhogweed package descriptions, explaining the
          difference between them.
      
      nettle (2.1-2) unstable; urgency=low
      
        * Upload to unstable.
        * Increase Debhelper compat level to 7.
        * debian/rules: Add build-indep and build-arch targets.
        * debian/copyright: Add entry for dsa2sexp.c.
        * No longer suggest lsh-utils-doc as an alternative to lsh-doc.
      
      nettle (2.1-1) experimental; urgency=low
      
        * New upstream release (Closes: #594386). Thanks to Sedat Dilek for
          sorting things out.
          - Drop rsa2sexp_algorithm_name.dpatch, 20_link_with_gmp.dpatch;
            incorporated upstream.
          - The SOVERSIONs of libnettle and libhogweed have changed to 4 and 2,
            respectively; update and rename debian/control, debian/libnettle3.*,
            debian/libhogweed1.*, and debian/nettle-bin.links accordingly.
        * Build-depend on the new libgmp10-dev instead of libgmp3-dev.
        * Convert to source package format 3.0 (quilt), using
          dh_autotools-dev_*config to update config.sub and config.guess files.
        * Handle the parallel DEB_BUILD_OPTIONS option.
        * Pass --libdir=/usr/lib to ./configure since it will otherwise try to
          be smart and pick /usr/lib32 or /usr/lib64 on certain platforms.
        * General tidying of debian/rules: 
          - Remove handling of noopt option (dpkg-buildpackage sets CFLAGS).
          - Remove remnants of nostrip option handling.
          - Only pass --host to ./configure if HOST != BUILD, as is recommended.
          - Remove redundant compiler and configure flags.
        * Bump Standards-Version to 3.9.1.
      
      nettle (2.0-2) unstable; urgency=low
      
        * rsa2sexp_algorithm_name.dpatch (new): Use a default algorithm name
          that LSH understands in the sexp representation of an RSA key, so that
          pkcs1-conv can be used to convert existing OpenSSH private keys.
        * debian/control: Add ${misc:Depends} to all packages lacking it.
        * debian/control: nettle-dev: Depend on dpkg (>= 1.15.4) | install-info
          as recommended for the transition to triggerized install-info.
        * Upgraded to Standards-Version 3.8.3 with the previous change.
      
      nettle (2.0-1) unstable; urgency=low
      
        * Merge with experimental branch.
          - There was no lsh-utils 2.0.3-2 in Debian, so the conflict is with
            lsh-utils < 2.0.4-dfsg-1.
          - Drop the transitional libnettle-dev package that was in experimental. 
            Due to the split, depending packages will need sourceful uploads anyway.
        * New upstream version.
          - Drop 30_sparc_aes_include.dpatch; incorporated upstream.
        * Add debug package.
        * nettle-dev.doc-info: Correct Section and Document.
        * Bump Standards-Version to 3.8.2.
      
      nettle (1.16~cvs20070603-2) experimental; urgency=low
      
        * 30_sparc_aes_include.dpatch: Patch from upstream CVS, fixes FTBFS on
          sparc (Closes: #441265).
        * debian/rules: Check for Makefile instead of ignoring all `make
          distclean' errors.
      
      nettle (1.16~cvs20070603-1) experimental; urgency=low
      
        * Upstream CVS snapshot splitting off public-key algorithms as
          libhogweed1.
          - Drop 10_cleanup.dpatch; incorporated upstream.
          - Rename libnettle-dev as nettle-dev.
        * No longer install sexp-conv as an alternative; conflict with lsh-utils
          (<< 2.0.3-2, which is anticipated to stop shipping an identical
          sexp-conv and depend on nettle-bin instead).
        * Link with --as-needed to avoid unnecessary NEEDED tags.
      
      nettle (1.15-6) unstable; urgency=low
      
        * No longer install sexp-conv as an alternative; conflict with lsh-utils
          prior to 2.0.4-dfsg-1, which depends on nettle-bin instead of shipping
          a copy of sexp-conv (Closes: #510942). Drop nettle-bin.postinst and
          nettle-bin.prerm (nettle-bin.prerm will remove the alternative on
          upgrade, which is actually a bug, but works out fine in this case).
        * Switch to Debhelper level 5. Remove files that don't exist from install
          lists (copied from a template, apparently).
        * Upgrade to Standards-Version 3.8.1:
          + Add debian/README.source (§ 4.9).
        * Add debian/libnettle2.symbols.
      
      nettle (1.15-5) unstable; urgency=low
      
        * New maintainer email address.
        * Bring debian/control format up-to-date with Homepage and Vcs fields.
        * Add machine-readable copyright information to debian/copyright and
          clarify licensing of nettle-lfib-stream.1 and pkcs1-conv.1. The
          machine-readable information may not be completely accurate at this
          point due to the many different authors and licenses.
        * Don't ignore make potential distclean errors.
        * debian/libnettle-dev.doc-base: Change section to Programming/C
          following the abolishion of the Apps section.
        * Bump Standards-Version to 3.7.3 without any changes.
      
      nettle (1.15-4) unstable; urgency=low
      
        * Add manpage for nettle-lfib-stream(1) (Closes: #413293).
        * Add manpage for pkcs1-conv(1) (Closes: #413294).
        * Correct manpage for sexp-conv(1).
      
      nettle (1.15-3) unstable; urgency=low
      
        * Use dh_install instead of dh_movefiles.
        * Run "make check" by default.
        * Ship nettle.pdf in libnettle-dev.
        * Include PDF and Info formats in doc-base control file.
        * Clean up the libnettle-dev examples directory. There should only be
          source files. Note that most of the examples aren't made to be
          compiled outside of the nettle source tree, except sha-example.c,
          which is the example found in the documentation.
        * Move descore.README and TODO from libnettle2.docs to
          libnettle-dev.docs, and also add README and NEWS to the latter.
        * Make debian/copyright more correct.
        * Add pkcs1-conv to nettle-bin package description.
      
      nettle (1.15-2) unstable; urgency=high
      
        * Fix serious regression: The -lgmp added in 1.8-1 fell off in 1.15-1
          (Closes: #415034).
        * Use dpatch to handle patches.
        * Make package binNMUable.
        * Add XS-Vcs-* fields to debian/control.
        * Make dependencies on libnettle2 versioned.
      
      nettle (1.15-1) unstable; urgency=low
      
        * New maintainer (Closes: #411677).
        * New upstream version. The non-free IETF RFC has been removed by
          upstream.
        * Updated Standards-Version to 3.7.2 without any changes.
        * Converted doc-base and copyright files to UTF-8.
        * Added extra cleanup to clean target of debian/rules so that
          dpkg-buildpackage can be run more than once.
        * debian/watch: updated.
        * debian/control: added autotools-dev as a build-dependency.
        * debian/rules: don't include config.guess and config.sub in
          .diff.gz.
      
      nettle (1.14.1-1) unstable; urgency=low
      
        * Removed non-DFSG file from the archive and disabled the
          corresponding test case
        * Source package contains non-free IETF RFC/I-D's (Closes: #393400)
        * Since there is no upstream release available, a "fake" version number
          is added to the version.
      
      nettle (1.14-1) unstable; urgency=low
      
        * The latest upstream version
      
      nettle (1.12-3) unstable; urgency=high
      
        * Force a recompile to match the new libgmp3 package name
      
      nettle (1.12-2) unstable; urgency=high
      
        * Make libnettle-dev depend on libgmp3-dev
      
      nettle (1.12-1) unstable; urgency=high
      
        * The latest upstream release
        * sexp-conv is installed as sexp-conv.nettle and registered with the
          alternatives system now.
        * added the sexp-conv mainpage borrowed from the lsh-utils package.
      
      nettle (1.10-1) unstable; urgency=low
      
        * The latest upstream version
      
      nettle (1.9-1) unstable; urgency=low
      
        * The latest upstream release
      
      nettle (1.8-1) unstable; urgency=low
      
        * The latest upstream release
        * libnettle1 links directly against gmp now to avoid problems with
          programs linking to libnettle without referencing -lgmp explicitly.
        * libnettle1 is gone - upstream changed the SOVERSION to 2
      
      nettle (1.7-3) unstable; urgency=low
      
        * Don't drink and drive, or another doc-base fix
      
      nettle (1.7-2) unstable; urgency=low
      
        * Fixed the doc-base problem with the missing Section field
      
      nettle (1.7-1) unstable; urgency=low
      
        * Initial Release.
      a5f0ab59